Package: shoogle / 0.1.4-7

Metadata

Package Version Patches format
shoogle 0.1.4-7 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
python3 shebang.patch | (download)

bin/shoogle | 2 1 + 1 - 0 !
setup.py | 2 1 + 1 - 0 !
tests/test_shoogle.py | 2 1 + 1 - 0 !
3 files changed, 3 insertions(+), 3 deletions(-)

 explicitly refer to python3 in the shebangs
shoopath.patch | (download)

bin/shoogle | 6 1 + 5 - 0 !
1 file changed, 1 insertion(+), 5 deletions(-)

 set path to include debian module install location
disable browser auth.patch | (download)

shoogle/commands/execute.py | 10 2 + 8 - 0 !
1 file changed, 2 insertions(+), 8 deletions(-)

 disable the --browser-auth option
 The browser auth code is failing with a missing import for
 QtWebKit. That module is not available packaged for QT4 and
 python3. Disable until shoogle is upgraded to QT5.
no secrets in test.patch | (download)

tests/test_shoogle.py | 14 0 + 14 - 0 !
1 file changed, 14 deletions(-)

 disable/delete unit tests requiring authentication.
 This is done so that 3rd-party automated testing is practical,
 particularly for Continuous Integration testing.